<?php

global $post;

$events = $ebApiData->get_events(true);

extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'n/d',
	'venue'      => '',
] ) );

?>

<section class="sidebar-list just-announced">
	<?php

	if ( $title ) { ?>
		<h2><?php echo esc_html( $title ); ?></h2>
	<?php }

	?>
	<ul><?php

	if ( count( $events ) > 0 ) {

		foreach ( $events as $count => $event ) {
			$performers         = new Performers();
			$performancesMarkup = $performers->get_event_headline( $event );
			$notyetonsaletext = $event->ticket_availability->start_sales_date ? 'On Sale ' . esc_html( date( $dateformat, strtotime( $event->ticket_availability->start_sales_date->local ) ) ) : '';
			$notyetonsale     = ( eb_ticketStatus( $event ) === 'NOT_YET_ON_SALE' ) ? ' <span class="on-sale">' . esc_html( $notyetonsaletext ) . '</span>' : '';
			$urlVars = [];
			$urlVars = eb_getInitialUrlVars( $event );
			?>
				<li class="<?php echo esc_attr( eb_addClassIds( $event ) ); ?>">
					<a href="<?php echo esc_url( eb_URL( 'event', $event->id, '', $urlVars ) ); ?>">
					<?php echo wp_kses_post($performancesMarkup); ?>
					<?php if ( ! $event->hide_start_date ) { ?>
							<span class="date"> - <?php echo esc_html( eb_eventDate( $dateformat, strtotime( $event->start->local ) ) ); ?></span>
					<?php } ?>
					<?php echo wp_kses_post( $notyetonsale ); ?>
					</a>
				</li>
				<?php
				$urlVars = null;
		}

	} else {
		echo '<li class="no-events">';
		if ( isset($errorMsg) && ! empty( $errorMsg ) ) {
			echo esc_html( $errorMsg );
		} else {
			eb_generate_no_events_status_message();
		}
		echo '</li>';
	}
	?>
	</ul>
</section>
