(function ($) {

  $(document).ready(function () {

    $('.eb-email-subscribe').on('submit', '#eb-emailform', function (e) {

      e.preventDefault();

      var button = $(this);
      var formNonce = $('.eb-email-subscribe-submit').data('nonce');
      var formEmail = $(this).find('input[name="contact"]').val();
      var formList = $(this).find('.eb-email-subscribe-submit').data('list');
      var form = $(this).closest('form');
      var buttonText = button.html();

      // check if message is not empty
      if (form.find('.eb-email-address-text').val().length === 0) {
        form.find('.eb-email-address-text').css('border', '1px solid red');
        return false;
      } else {
        form.find('.eb-email-address-text').css('border', '1px solid rgba(51, 51, 51, 0.1)');
      }

      button.width(button.width()).text('...').prop('disabled', true);

      // set ajax data
      var data = {
        'action': 'emailform_ajax_func',
        'nonce': formNonce,
        'list': formList,
        'email': formEmail
      };

      $.post(emailFormAjax.ajaxurl, data, function (response) {
        if (true === response.success) {
          // display success message
          form.prev('span.eb-email-result').html(response.data);
          // remove button and textarea
          button.remove();
          form.find('input.eb-email-address-text').remove();

        } else {
          // display error message
          if (response.data) {
            form.prev('span.eb-email-result').html(response.data);
          } else {
            form.prev('span.eb-email-result').html(emailFormAjax.error);
          }
        }

        // enable button and revert label
        button.html(buttonText).prop('disabled', false);

      });

    });

  });

})(jQuery);
