<?php
global $post, $eventbrite_music;
$settings = $eventbrite_music->get_options();

extract( wp_parse_args( $atts, [
	'imagesize'    => 'small',
	'timezone'     => '',
	'dateformat'   => 'D n/d',
	'title'        => 'Venues',
	'exclude'      => '',
	'page'         => '',
	'calshare'     => 'true',
	'venue'        => '',
	'org'          => '',
	'excludevenue' => '',
] ) );

$exclude = explode( ",", $exclude );
?>

<article class="list-view-item card">
	<section class="sidebar-list venue-list">
		<h2><?php echo esc_html( $title ); ?></h2>
		<ul>
			<?php
			if ( ( $venues->totalResults > 0 ) && ( eb_is_valid_field( $venues->totalResults ) ) ) {
				foreach ( $venues->venues as $venue ) {
					if ( isset( $venue->venueExcluded ) && $venue->venueExcluded ) {
						continue;
					}
					?>
					<li class="<?php echo esc_attr( eb_addClassIds( $venue ) ); ?>">
						<a href="<?php echo esc_url( eb_URL( 'venue', $venue->id ) ); ?>">
							<?php echo esc_html( $venue->name ); ?>
						</a>
					</li>
				<?php } ?>
			<?php } else { ?>
				<li class="no-venues">
					<?php if ( $errorMsg ) {
						echo esc_html( $errorMsg ); //TODO: Make sure there isn't any mark-up here.
					} else {
						esc_html_e( "Sorry, there are currently no venues available.", "ticketfly" );
					} ?>
				</li>
			<?php } ?>
		</ul>
	</section>
</article>
